🚀 Simplify your work by integrating Haufe Copilot via API
Feedback

Delete feedback

Removes feedback from an assistant message.

DELETE/v1/threads/{thread_id}/messages/{message_id}/feedback

Authorization

APIKeyHeader
api-key<token>

In: header

Path Parameters

thread_id*Thread Id
Formatuuid
message_id*Message Id
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.haufe.ai/agents/v1/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages/497f6eca-6276-4993-bfeb-53cbbbba6f08/feedback"
Empty
{
  "error_code": "invalid_input",
  "detail": "invalid input"
}

{
  "error_code": "message_not_found",
  "detail": "Message not found"
}

{
  "error_code": "validation_error",
  "detail": [
    {
      "loc": [
        "body",
        "feedback"
      ],
      "message": "Input should be 'positive' or 'negative'",
      "type": "enum"
    }
  ]
}
{
  "error_code": "rate_limit_gateway",
  "detail": "Rate limit exceeded"
}